<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: earth_sensor.EarthSensor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classearth__sensor_1_1_earth_sensor.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classearth__sensor_1_1_earth_sensor-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">earth_sensor.EarthSensor Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for earth_sensor.EarthSensor:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classearth__sensor_1_1_earth_sensor.png" usemap="#earth_5Fsensor.EarthSensor_map" alt=""/>
  <map id="earth_5Fsensor.EarthSensor_map" name="earth_5Fsensor.EarthSensor_map">
<area href="class_sensor_1_1_sensor.html" alt="Sensor.Sensor" shape="rect" coords="0,56,160,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aae4b26f62fd387291a8fa650f11cccf7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#aae4b26f62fd387291a8fa650f11cccf7">__init__</a> (self, str <a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a>, np.ndarray <a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a>, np.ndarray <a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a>, str <a class="el" href="class_sensor_1_1_sensor.html#aacd282df196192e299b27275784c5640">database</a>, bool <a class="el" href="class_sensor_1_1_sensor.html#a9459e5f38bf10a463cdb377d31c796e0">digital</a>, <a class="el" href="class_sensor_1_1_sensor.html#adc1ef67bc79c2569b579eacad4222022">mode</a>, <a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a>, str <a class="el" href="classearth__sensor_1_1_earth_sensor.html#ad46fef54645f41bc6f6a486373cb075c">fov_shape</a>, <a class="el" href="classearth__sensor_1_1_earth_sensor.html#aabbfc23d86a7e4b1a3681069f0e45518">fov</a>, float detected_area, np.array accuracy, float <a class="el" href="classearth__sensor_1_1_earth_sensor.html#afa006310815cdd9252d2617e599e0ad3">sampling_rate</a>, bool <a class="el" href="class_sensor_1_1_sensor.html#ae7f85b223f3ba2d6b26024c99f749dce">active</a>=True)</td></tr>
<tr class="separator:aae4b26f62fd387291a8fa650f11cccf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d4a7581c19681c9c8117f0e630d0140"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#a9d4a7581c19681c9c8117f0e630d0140">get_nadirvector</a> (self, pos_sat, orientation_sat)</td></tr>
<tr class="separator:a9d4a7581c19681c9c8117f0e630d0140"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02e56123e49dd1642ab6ac63406f0e1c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#a02e56123e49dd1642ab6ac63406f0e1c">is_earth_in_fov</a> (self, r_ell, pos_sat, orientation_sat)</td></tr>
<tr class="separator:a02e56123e49dd1642ab6ac63406f0e1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ad79e7ee352c3f58a33b2f1b1d3cb3d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#a2ad79e7ee352c3f58a33b2f1b1d3cb3d">nadir_angle_estimation</a> (self, pos_sat, orientation_sat, r_ell)</td></tr>
<tr class="separator:a2ad79e7ee352c3f58a33b2f1b1d3cb3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbe29de755962da1ccb9540da74cbf46"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#acbe29de755962da1ccb9540da74cbf46">output</a> (self, float sim_time)</td></tr>
<tr class="separator:acbe29de755962da1ccb9540da74cbf46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8c9f6f76ce5b732411cfacfafec9103"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#af8c9f6f76ce5b732411cfacfafec9103">run</a> (self)</td></tr>
<tr class="separator:af8c9f6f76ce5b732411cfacfafec9103"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_sensor_1_1_sensor"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_sensor_1_1_sensor')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td></tr>
<tr class="memitem:a0d0414d420e2d284be4e0b17d5aaf6a6 inherit pub_methods_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a0d0414d420e2d284be4e0b17d5aaf6a6">check_parameter_update</a> (self)</td></tr>
<tr class="separator:a0d0414d420e2d284be4e0b17d5aaf6a6 inherit pub_methods_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad46fef54645f41bc6f6a486373cb075c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#ad46fef54645f41bc6f6a486373cb075c">fov_shape</a></td></tr>
<tr class="separator:ad46fef54645f41bc6f6a486373cb075c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabbfc23d86a7e4b1a3681069f0e45518"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#aabbfc23d86a7e4b1a3681069f0e45518">fov</a></td></tr>
<tr class="separator:aabbfc23d86a7e4b1a3681069f0e45518"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22f682a3c0fc6555fbb6470529e5c584"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#a22f682a3c0fc6555fbb6470529e5c584">active_area</a></td></tr>
<tr class="separator:a22f682a3c0fc6555fbb6470529e5c584"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73bb8326a78ca1c7a9982d0b074e49bc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#a73bb8326a78ca1c7a9982d0b074e49bc">acc</a></td></tr>
<tr class="separator:a73bb8326a78ca1c7a9982d0b074e49bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa006310815cdd9252d2617e599e0ad3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#afa006310815cdd9252d2617e599e0ad3">sampling_rate</a></td></tr>
<tr class="separator:afa006310815cdd9252d2617e599e0ad3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b12d8cbcb8cb48a3e2610299153e2ff"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#a0b12d8cbcb8cb48a3e2610299153e2ff">list</a></td></tr>
<tr class="separator:a0b12d8cbcb8cb48a3e2610299153e2ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3088093822b13db1fddb9f3e2ec0f5f4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#a3088093822b13db1fddb9f3e2ec0f5f4">column_names</a></td></tr>
<tr class="separator:a3088093822b13db1fddb9f3e2ec0f5f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_class_sensor_1_1_sensor"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_sensor_1_1_sensor')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td></tr>
<tr class="memitem:a105952a867f87ce62e9527155ac5e117 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a></td></tr>
<tr class="separator:a105952a867f87ce62e9527155ac5e117 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9edb79bdcd32ba3e64b4108302a8731 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a></td></tr>
<tr class="separator:ab9edb79bdcd32ba3e64b4108302a8731 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50d7fc1b38b659f1b9078a1b66a125e5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a></td></tr>
<tr class="separator:a50d7fc1b38b659f1b9078a1b66a125e5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacd282df196192e299b27275784c5640 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#aacd282df196192e299b27275784c5640">database</a></td></tr>
<tr class="separator:aacd282df196192e299b27275784c5640 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7f85b223f3ba2d6b26024c99f749dce inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#ae7f85b223f3ba2d6b26024c99f749dce">active</a></td></tr>
<tr class="separator:ae7f85b223f3ba2d6b26024c99f749dce inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9459e5f38bf10a463cdb377d31c796e0 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a9459e5f38bf10a463cdb377d31c796e0">digital</a></td></tr>
<tr class="separator:a9459e5f38bf10a463cdb377d31c796e0 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc1ef67bc79c2569b579eacad4222022 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#adc1ef67bc79c2569b579eacad4222022">mode</a></td></tr>
<tr class="separator:adc1ef67bc79c2569b579eacad4222022 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7709b892a731f2d22d89c7bb8d7bcedf inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a7709b892a731f2d22d89c7bb8d7bcedf">parameter_count</a></td></tr>
<tr class="separator:a7709b892a731f2d22d89c7bb8d7bcedf inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a080bdfc3b220f4273e3b4a9d45c413b5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a></td></tr>
<tr class="separator:a080bdfc3b220f4273e3b4a9d45c413b5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aae4b26f62fd387291a8fa650f11cccf7" name="aae4b26f62fd387291a8fa650f11cccf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae4b26f62fd387291a8fa650f11cccf7">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def earth_sensor.EarthSensor.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>orientation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>database</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>digital</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>outputs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>fov_shape</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fov</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>detected_area</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.array&#160;</td>
          <td class="paramname"><em>accuracy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sampling_rate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &#160;</td>
          <td class="paramname"><em>active</em> = <code>True</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param name: (string) name of the sensor
:param position: (np.array 3x1) position of the sensor on the satellite in satellite frame
:param orientation: (np.array 4x1) orientation of the sensor in quaternions (q_r, q_i, q_j, q_k)
:param database: (string) name of the database
:param digital: (bool)
:param mode: (bool)
:param outputs: (class object) class object of the internal_transfer class in the main script
:param fov_shape: (string) describes the shape of the field of view and can either be a 'circle'
        or a 'rectangle'
:param fov: for circular (float) in degrees for rectangle (list) with [Vertical, Horizontal] in degrees
:param active_area: (float) area which has to be detected to provide sensor output
:param accuracy: (np.array)
:param sampling_rate: (float)
:param active: (bool)
</pre> 
<p>Reimplemented from <a class="el" href="class_sensor_1_1_sensor.html#a49b7ea4faa0488707970f4ecc64ab10b">Sensor.Sensor</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a9d4a7581c19681c9c8117f0e630d0140" name="a9d4a7581c19681c9c8117f0e630d0140"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d4a7581c19681c9c8117f0e630d0140">&#9670;&nbsp;</a></span>get_nadirvector()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def earth_sensor.EarthSensor.get_nadirvector </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>pos_sat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>orientation_sat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a02e56123e49dd1642ab6ac63406f0e1c" name="a02e56123e49dd1642ab6ac63406f0e1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02e56123e49dd1642ab6ac63406f0e1c">&#9670;&nbsp;</a></span>is_earth_in_fov()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def earth_sensor.EarthSensor.is_earth_in_fov </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>r_ell</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>pos_sat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>orientation_sat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2ad79e7ee352c3f58a33b2f1b1d3cb3d" name="a2ad79e7ee352c3f58a33b2f1b1d3cb3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ad79e7ee352c3f58a33b2f1b1d3cb3d">&#9670;&nbsp;</a></span>nadir_angle_estimation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def earth_sensor.EarthSensor.nadir_angle_estimation </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>pos_sat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>orientation_sat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>r_ell</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> The function measures the angle between the sensors boresight and the nadir angle if the Earth Ellipsoid
is in the field of view of the sensor.</pre> 
</div>
</div>
<a id="acbe29de755962da1ccb9540da74cbf46" name="acbe29de755962da1ccb9540da74cbf46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbe29de755962da1ccb9540da74cbf46">&#9670;&nbsp;</a></span>output()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def earth_sensor.EarthSensor.output </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sim_time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af8c9f6f76ce5b732411cfacfafec9103" name="af8c9f6f76ce5b732411cfacfafec9103"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8c9f6f76ce5b732411cfacfafec9103">&#9670;&nbsp;</a></span>run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def earth_sensor.EarthSensor.run </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Starts sensor in while Loop.</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a73bb8326a78ca1c7a9982d0b074e49bc" name="a73bb8326a78ca1c7a9982d0b074e49bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73bb8326a78ca1c7a9982d0b074e49bc">&#9670;&nbsp;</a></span>acc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">earth_sensor.EarthSensor.acc</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a22f682a3c0fc6555fbb6470529e5c584" name="a22f682a3c0fc6555fbb6470529e5c584"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22f682a3c0fc6555fbb6470529e5c584">&#9670;&nbsp;</a></span>active_area</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">earth_sensor.EarthSensor.active_area</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3088093822b13db1fddb9f3e2ec0f5f4" name="a3088093822b13db1fddb9f3e2ec0f5f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3088093822b13db1fddb9f3e2ec0f5f4">&#9670;&nbsp;</a></span>column_names</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">earth_sensor.EarthSensor.column_names</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aabbfc23d86a7e4b1a3681069f0e45518" name="aabbfc23d86a7e4b1a3681069f0e45518"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabbfc23d86a7e4b1a3681069f0e45518">&#9670;&nbsp;</a></span>fov</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">earth_sensor.EarthSensor.fov</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad46fef54645f41bc6f6a486373cb075c" name="ad46fef54645f41bc6f6a486373cb075c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad46fef54645f41bc6f6a486373cb075c">&#9670;&nbsp;</a></span>fov_shape</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">earth_sensor.EarthSensor.fov_shape</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0b12d8cbcb8cb48a3e2610299153e2ff" name="a0b12d8cbcb8cb48a3e2610299153e2ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b12d8cbcb8cb48a3e2610299153e2ff">&#9670;&nbsp;</a></span>list</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">earth_sensor.EarthSensor.list</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afa006310815cdd9252d2617e599e0ad3" name="afa006310815cdd9252d2617e599e0ad3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa006310815cdd9252d2617e599e0ad3">&#9670;&nbsp;</a></span>sampling_rate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">earth_sensor.EarthSensor.sampling_rate</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="earth__sensor_8py.html">earth_sensor.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceearth__sensor.html">earth_sensor</a></li><li class="navelem"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">EarthSensor</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
